#pragma once

#include "CoreMinimal.h"
#include "K39BaseTentacleSwingState.h"
#include "AnimationMontageDescriptor.h"
#include "K39TentacleSwingAttachingState.generated.h"

UCLASS(Blueprintable)
class THEK39_API UK39TentacleSwingAttachingState : public UK39BaseTentacleSwingState
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FAnimationMontageDescriptor _survivorReactionMontage;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FAnimationMontageDescriptor _survivorStruggleMontage;

public:
	UK39TentacleSwingAttachingState();
};

FORCEINLINE uint32 GetTypeHash(const UK39TentacleSwingAttachingState) { return 0; }
